﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FileSystemWatcherTest
{
    public partial class FileSystemWatcherTestForm : Form
    {
        FileSystemWatcher fsw = new FileSystemWatcher();
        public FileSystemWatcherTestForm()
        {
            InitializeComponent();
        }

        private void directoryButton_Click(object sender, EventArgs e)
        {
            FolderBrowserDialog fd = new FolderBrowserDialog();
            if (fd.ShowDialog() == DialogResult.OK)
            {
                this.watchTextBox.Text = fd.SelectedPath;
            }
        }

        private void watchFolderButton_Click(object sender, EventArgs e)
        {
            fsw.Path = this.watchTextBox.Text;
            fsw.EnableRaisingEvents = true;
            fsw.Created += Fsw_Created;
            //fsw.NotifyFilter = System.IO.NotifyFilters.FileName | System.IO.NotifyFilters.DirectoryName | System.IO.NotifyFilters.Size;
            //fsw.Changed += fsw_Changed;
            //fsw.Deleted += fsw_Deleted;
            //fsw.Renamed += fsw_Renamed;
        }

        /// <summary>
        /// FileSystemWatcher 가 바라보는 폴더에 파일이 추가된 경우 발생되는 이벤트입니다.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Fsw_Created(object sender, FileSystemEventArgs e)
        {
            try
            {
                Invoke(new MethodInvoker(delegate ()
                {
                     this.copyListBox.Items.Add(e.Name);
                 }));
            }
            catch (Exception ex)
            {

            }
        }

    }
}
